Package com.avaya.clientservices.media

## Enum AudioMode

- java.lang.Object
- - java.lang.Enum<AudioMode>
  - - com.avaya.clientservices.media.AudioMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AudioMode>`

      public enum AudioMode
      extends java.lang.Enum<AudioMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IN_CALL` |
    `IN_COMMUNICATION` |
    `NORMAL` |
    `RINGING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AudioMode` | `fromInt​(int value)` |
    `int` | `intValue()` |
    `static AudioMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AudioMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final AudioMode NORMAL

    - #### RINGING

          public static final AudioMode RINGING

    - #### IN_CALL

          public static final AudioMode IN_CALL

    - #### IN_COMMUNICATION

          public static final AudioMode IN_COMMUNICATION

  - ### Method Detail

    - #### values

          public static AudioMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AudioMode c : AudioMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AudioMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static AudioMode fromInt​(int value)

    - #### intValue

          public int intValue()